<?php

namespace Koneko\VuexyWarehouse\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;

class ProductProperty extends Model
{
    use HasFactory;

    protected $table = 'product_properties';
    protected $primaryKey = 'id';
    public $incrementing = false;
    protected $keyType = 'smallint';

    protected $fillable = [
        'name',
    ];

    /**
     * Relación con los valores de propiedad asignados a productos.
     */
    public function values(): HasMany
    {
        return $this->hasMany(ProductPropertyValue::class, 'property_id');
    }
}
